edu.northwestern.at.morphadorner.corpuslinguistics.lexicon

## Class BaseLexicon

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon
    - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.BaseLexicon

- All Implemented Interfaces:
    Lexicon, UsesLogger
  Direct Known Subclasses:
    DefaultLexicon

      public class BaseLexicon
      extends AbstractLexicon
      implements Lexicon

  BaseLexicon: Concrete lexicon implementation.

  Uses a PartOfSpeechTags list.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon

      `categoryCountsMap, lexiconMap, logger, longestEntryLength, partOfSpeechTags, shortestEntryLength, uniqueEntryCountForCategoryMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseLexicon()`

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon

      `checkCategoriesList, computeUniqueEntryCountsForCategories, containsEntry, getCategories, getCategoriesForEntry, getCategoriesForEntry, getCategoriesForEntry, getCategoryCount, getCategoryCount, getCategoryCounts, getCategoryCountsForEntry, getEntries, getEntryCount, getLargestCategory, getLemma, getLemma, getLemmata, getLexiconEntry, getLexiconSize, getLogger, getLongestEntryLength, getNumberOfCategories, getNumberOfCategoriesForEntry, getPartOfSpeechTags, getShortestEntryLength, getUniqueEntryCountForCategory, incrementUniqueEntryCountForCategory, loadLexicon, loadLexicon, removeEntry, removeEntryCategory, saveLexiconToTextFile, setLexiconEntry, setLogger, setPartOfSpeechTags, updateCategoryCount, updateEntryCount`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.Lexicon

      `containsEntry, getCategories, getCategoriesForEntry, getCategoriesForEntry, getCategoriesForEntry, getCategoryCount, getCategoryCount, getCategoryCounts, getCategoryCountsForEntry, getEntries, getEntryCount, getLargestCategory, getLemma, getLemma, getLemmata, getLexiconEntry, getLexiconSize, getLongestEntryLength, getNumberOfCategories, getNumberOfCategoriesForEntry, getPartOfSpeechTags, getShortestEntryLength, loadLexicon, loadLexicon, removeEntry, removeEntryCategory, saveLexiconToTextFile, setLexiconEntry, setPartOfSpeechTags, updateEntryCount`

- - ### Constructor Detail

    - #### BaseLexicon

          public BaseLexicon()